#include "bsd_locl.h"

RCSID("$Id: getpass.c,v 1.4 1996/01/02 15:55:38 bg Exp $");

char *
getpass(const char *prompt)
{
  static char buf[128];
  des_read_pw_string(buf, sizeof(buf) - 1, (char*)prompt, 0);
  buf[sizeof(buf) - 1] = 0;
  return buf;
}
